apiVersion: v1
kind: Service
metadata:
  name: {{ include "jaegerlb.fullname" . }}
  labels:
    {{- include "jaegerlb.labels" . | nindent 4 }}
spec:
  type: {{ .Values.service.type }}
  ports:
    - port: {{ .Values.service.port }}
      targetPort: {{ .Values.service.port }}
      protocol: TCP
      name: http
  selector:
    {{- include "jaegerlb.selectorLabels" . | nindent 4 }}
    app.kubernetes.io/component: all-in-one